#!/usr/local/bin/perl
#
# WinProxy log digger by CryptoManceR
# http://cryptomancer.narod.ru
# cryptomancer@yandex.ru
#


use Getopt::Std;

getopt('i:d:');

open(FH,"clog.dat"); @log=<FH>; close(FH);
  foreach $l ( @log )
  {
    chomp; ($ip,$url,$bytes)=split(/\s+/,$l);

    if (defined($opt_d) && (index($url,$opt_d)==-1)) {next;};
    if (defined($opt_i) && ($ip  ne $opt_i)) {next;};

    unless (defined($h_url{$url})) {$h_url{$url}=0};
    $h_url{$url}+=$bytes;

    unless (defined($h_ip{$ip})) {$h_ip{$ip}=0};
    $h_ip{$ip}+=$bytes;
  }

$rpname = $opt_i."_".$opt_d.".txt";
open(RPT,">$rpname") || die "Can't write to report file";

foreach $ip  (sort {$h_ip{$b} <=> $h_ip{$a}} keys %h_ip) { printf RPT "%-15s : %9d\n",$ip,$h_ip{$ip}; };
foreach $url (sort {$h_url{$b} <=> $h_url{$a}} keys %h_url) { printf RPT "%9d : %s\n",$h_url{$url},$url;};
close(RPT);
